Skip to main content
PATCH
/
api
/
v1
/
suppliers
/
{supplier_id}
Update Supplier
curl --request PATCH \
  --url https://staging.cutmake.ai/api/v1/suppliers/{supplier_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentId": "<string>",
  "name": "<string>",
  "country": "<string>",
  "contactPerson": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "address": "<string>",
  "specialization": "<string>",
  "notes": "<string>",
  "approvedVendor": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "approvedVendor": true,
  "documentId": "<string>",
  "country": "<string>",
  "contactPerson": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "address": "<string>",
  "specialization": "<string>",
  "notes": "<string>",
  "createdAt": "<string>"
}

Headers

X-Org-Id
string | null

Path Parameters

supplier_id
string
required

Body

application/json
documentId
string | null
name
string | null
country
string | null
contactPerson
string | null
email
string | null
phoneNumber
string | null
address
string | null
specialization
string | null
notes
string | null
approvedVendor
boolean | null

Response

Successful Response

id
string
required
name
string
required
approvedVendor
boolean
required
documentId
string | null
country
string | null
contactPerson
string | null
email
string | null
phoneNumber
string | null
address
string | null
specialization
string | null
notes
string | null
createdAt
string | null